Suricata 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1753879 漏洞类型 缓冲区错误
发布时间 2019-09-24 更新时间 2019-10-23
CVE编号 CVE-2019-16411 CNNVD-ID CNNVD-201909-1092
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201909-1092
|漏洞详情
Suricata是开放信息安全基金会(Open Information Security Foundation,OISF)和其支持的厂商共同开发的一套网络入侵检测系统(IDS)、入侵防御系统(IPS)和网络安全监控引擎,它支持多线程、内置IPv6、可加载预设规则等。 Suricata 4.1.4版本中存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:suricata-ids.org

链接:https://suricata-ids.org/2019/09/24/suricata-4-1-5-released/


来源:lists.openinfosecfoundation.org

链接:https://lists.openinfosecfoundation.org/pipermail/oisf-announce/


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-16411